<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"></script>
    <title>Adicionar Produto</title>
</head>

<body style="background-image:url('../assets/background.jpeg'); height: 300px;">

    <?php
    //include do script de conexao do banco de dados
    include "../model/connect.php";

    // Tabela - tbl_compras
    /*
+---------------------------+---------------+------+-----+-------------------+-------------------+
| Field                     | Type          | Null | Key | Default           | Extra             |
+---------------------------+---------------+------+-----+-------------------+-------------------+
| id_compras                | int           | NO   | PRI | NULL              | auto_increment    |
| nome_produto_compra       | varchar(100)  | NO   |     | NULL              |                   |
| quantidade_produto_compra | bigint        | NO   |     | NULL              |                   |
| preco_produto_compra      | decimal(10,2) | NO   |     | NULL              |                   |
| data_compra               | date          | NO   |     | NULL              |                   |
| valor_gasto_compra        | bigint        | YES  |     | NULL              |                   |
| data                      | timestamp     | YES  |     | CURRENT_TIMESTAMP | DEFAULT_GENERATED |
+---------------------------+---------------+------+-----+-------------------+-------------------+
*/

    // resgatar as informacoes atraves do metodo Post, e salvar em variaveis
    $nomeProd = $_POST['nomeProduto'];
    $precoProd = $_POST['preco'];
    $quantidadeProd = $_POST['quantidade'];
    $dataProd = $_POST['data'];

    session_start();

    $tipo = $_SESSION['tipo'];



    //query sql - insert
    $sql = "INSERT INTO tbl_compras(
    nome_produto_compra, 
    quantidade_produto_compra,
    preco_produto_compra, 
    data_compra
    ) VALUES(
        '$nomeProd',
        '$quantidadeProd',
        '$precoProd',
        '$dataProd'
    )";


    //insert no banco de dados
    $result = $conexao->query($sql);

    echo "<br>";

    // testar se o cadastro foi feito com sucesso
    if ($result && $tipo === '1') {
        echo "<script> alert('Compra Cadastrada com sucesso!');window.location='../compras.php'</script>";
        
    } elseif($result && $tipo === '2') {
        echo "<script> alert('Compra Cadastrada com sucesso!');window.location='../compras2.php'</script>";
    } else {
        echo "<div style='text-align:center'><h2>Erro ao inserir os dados</h2></div>". $conexao->error;
    }

    //encerrar conexão
    $conexao->close();
    ?>
</body>

</html>